<?php
try {
    /*
    wykonaj dowolny kod
    */

    // jeśli coś pójdzie nie tak, zgłoś wyjątek
    throw new Exception('Coś poszło nie tak :(');
} catch (\Exception) {
    // obsługa wyjątku, np. kiedy wystąpił jakiś problem
}